#!/bin/sh 
set -e
set +x 

(
        echo OPACK: Starting provisioning.
        sysctl -n kern.version
        printf 'permit nopass :wheel\n' > /etc/doas.conf
        printf 'PasswordAuthentication yes\nPermitRootLogin yes\n' >> /etc/ssh/sshd_config
	pkg_add -u 2> /dev/null || pkg_add -u -D snap 2> /dev/null
	rm -f /etc/ssh/ssh_host*
        find /var/log -type f | while read f; do echo -ne '' > $f; done
        find /tmp -type f | while read f; do echo -ne '' > $f; done
        sync
        sync
        echo OPACK: provisionning done.
)
exit 0
